Subject: Re: [spfbis] #35: authorized_spf domain name - Section 9.1.1

From: Arthur Thisell <[email-masked]>
Date: Thu, 30 Aug 2012 06:59:03 -0700 (PDT)

>> The "authorized_spf" is not a valid.
>
> That's not an LDH name.  In the example, that label is used to
> demonstrate an SPF trick, and breaking host names' preferred syntax is
> a way to hint that it is not a label that already existed for some
> other reason.

If we are going to give that trick as an example, I would prefer a domain name such as "_spf_authorized", or some name with a leading underscore.  I think that makes it clearer that the label is not intended to be used as a host name.  Or, maybe a comment on the zone file line explicitly saying the underscore is used to make it not a valid host name.

I don't have strong opinions on this though.  it could stay as it is.